当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 还是64位和32位兼容的一个问题!
帖子发表于 : 2009-05-13 22:21 

注册: 2009-02-16 15:24
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
代码:
不能安装于您的计算机类型(amd64)

应用程序需要特殊的硬件或者提供者不再支持您的计算机类型


现在通过 添加删除安装DVD中的软件!几乎大多数软件都提示不能在64位中使用!真的是奇怪!google上面也多是问题!少有答案!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 还是64位和32位兼容的一个问题!
帖子发表于 : 2009-05-13 22:22 
头像

注册: 2007-01-28 23:00
帖子: 2682
地址: @江西|南昌@
送出感谢: 0 次
接收感谢: 0 次
X64 典型問題就是 驅動&多媒體的支持!
不願意折騰 還是裝 X86的吧!


_________________

Do as you would be done by !


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 还是64位和32位兼容的一个问题!
帖子发表于 : 2009-05-14 8:39 
头像

注册: 2007-10-24 20:20
帖子: 1565
地址: 北京、海淀
送出感谢: 0 次
接收感谢: 1
如果非要用只有32位打包的软件通过lib32;

可以考虑下dpkg --force-architecture 软件包名
这个命令在安装的时候就会忽略架构的警告信息,
运行的时候通过ia32-libs包在64位平台运行32位软件。


_________________
Dell Vostro 1500, T7300/4GB/WD5000BEVT/nVidia 8400GM, Ubuntu 10.04 x86_64/VMware 7(Win7)
我的博客:http://xieshaohu.wordpress.com/


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 还是64位和32位兼容的一个问题!
帖子发表于 : 2009-05-14 9:37 

注册: 2009-02-16 15:24
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
xieshaohu 写道:
如果非要用只有32位打包的软件通过lib32;

可以考虑下dpkg --force-architecture 软件包名
这个命令在安装的时候就会忽略架构的警告信息,
运行的时候通过ia32-libs包在64位平台运行32位软件。

用 --force安装了 qq但是不能使用!
我在SUSE系统下面没有出现这样的问题!
比如同样的google earth在suse下面成功!但是ubuntu失败!
qq在suse下面成功!在ubuntu下面不能运行!
感觉suse的兼容性能要好于ubuntu!


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 还是64位和32位兼容的一个问题!
帖子发表于 : 2009-05-14 11:25 

注册: 2009-05-04 10:29
帖子: 121
送出感谢: 0 次
接收感谢: 0 次
嘿嘿,我08 server用了段时间 x64都换回 x86了……

各种意外状况,折腾死人,尤其是如果你还弄开发相关的东西的时候……

所以我看见amd 64的包,毫不犹豫的忽略过去了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译